Subject: bug#21509: 25.0.50; X11 error: BadPixmap when creating first emacsclient frame; and memory leak

From: Dima Kogan <[email-masked]>
Date: Mon, 16 Oct 2017 09:33:01 -0700

martin rudalics <[email-masked]> writes:

> What surprises me is that both 800K cons-threshold runs apparently start
> with a considerable lower memory consumption (around 20000 kB) than the
> 80k and 8000k runs.

Ah, that I CAN explain: it's an artifact of the way I ran the trials.

For the 800k cases I'd start the emacs daemon from the commandline, and
then start gathering the data and cycling the frames.

For the 80k and 8000k cases I'd start the daemon, and then take an
extra step:

  Open a single client frame to (setq gc-cons-threshold whatever)

I should have started gathering the usage data before I opened this
first frame, but I guess I didn't. So the memory usage plots the 800k
start when no frames have ever been created, but the 80k and 8000k start
after 1 frame was created.

So this difference isn't indicative of anything interesting.